Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1428)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1429)
@@ -1015,11 +990,9 @@
 	}
 
 	/**
-	 * Dedicated to stores the result parameters in the persisted result node
-	 * preferences. One have to implement this method to save parameters that are
-	 * not of primitive types (e.g. Property, List, HashMap...) Parameters of
-	 * primitive types are automatically saved after a computing.
-	 * 
+	 * Dedicated to stores the result parameters in the persisted result node preferences.
+	 * One have to implement this method to save parameters that are not of primitive types (e.g. Property, List, HashMap...)
+	 * Parameters of primitive types are automatically saved after a computing.
 	 * @return
 	 * @throws Exception
 	 */
@@ -1028,10 +1001,9 @@
 	/**
 	 * calls saveParameters() on this and children if childrenAsWell is set to true
 	 * 
-	 * only children
+	 * only children 
 	 * 
-	 * @param childrenAsWell
-	 *            save the children parameters as well
+	 * @param childrenAsWell save the children parameters as well
 	 * @return true if all saves were successful
 	 * @throws Exception
 	 */
@@ -1065,17 +1037,15 @@
 	 * @throws Exception
 	 */
 	protected boolean autoLoadParametersFromAnnotations() throws Exception {
-		return this.autoLoadParametersFromAnnotations(Parameter.COMPUTING) && this.autoLoadParametersFromAnnotations(Parameter.INTERNAL);
+		return this.autoLoadParametersFromAnnotations(Parameter.COMPUTING) && this.autoLoadParametersFromAnnotations(Parameter.INTERNAL); 
 	}
 
 	/**
-	 * Fills the result parameter fields declared by their @Parameter annotation
-	 * from the persisted result node or default node of the preferences. One have
-	 * to implement loadParameters() to load parameters that are not of primitive
-	 * types (e.g. Property, List, HashMap...)
+	 * Fills the result parameter fields declared by their @Parameter annotation from the persisted result node or default node of the preferences.
+	 * One have to implement loadParameters() to load parameters that are not of primitive types (e.g. Property, List, HashMap...)
 	 * 
 	 * @return
-	 * @throws Exception
+	 * @throws Exception 
 	 */
 	protected boolean autoLoadParametersFromAnnotations(int parameterType) throws Exception {
 
@@ -1087,12 +1057,11 @@
 			if (parameter == null || parameter.type() != parameterType) {
 				continue;
 			}
-
+			
 			String key = parameter.key();
 
 			if (key.isEmpty()) {
-				continue; // no preference key defined for the parameter so it can't be filled with
-							// default value or result persistence value from preferences nodes
+				continue; // no preference key defined for the parameter so it can't be filled with default value or result persistence value from preferences nodes
 			}
 			try {
 				f.setAccessible(true); // set accessible to test the field values
@@ -1102,28 +1071,26 @@
 				// only manage primitive types
 				if (f.getType().isAssignableFrom(String.class)) {
 					value = this.getStringParameterValue(key);
-				} else if (f.getType().isAssignableFrom(double.class) || f.getType().isAssignableFrom(Double.class)) {
+				}
+				else if (f.getType().isAssignableFrom(double.class) || f.getType().isAssignableFrom(Double.class)) {
 					value = this.getDoubleParameterValue(key);
-				} else if (f.getType().isAssignableFrom(float.class) || f.getType().isAssignableFrom(Float.class)) {
+				}
+				else if (f.getType().isAssignableFrom(float.class) || f.getType().isAssignableFrom(Float.class)) {
 					value = this.getFloatParameterValue(key);
-				} else if (f.getType().isAssignableFrom(int.class) || f.getType().isAssignableFrom(Integer.class)) {
+				}
+				else if (f.getType().isAssignableFrom(int.class) || f.getType().isAssignableFrom(Integer.class)) {
 					value = this.getIntParameterValue(key);
-				} else if (f.getType().isAssignableFrom(boolean.class) || f.getType().isAssignableFrom(Boolean.class)) {
+				}
+				else if (f.getType().isAssignableFrom(boolean.class) || f.getType().isAssignableFrom(Boolean.class)) {
 					value = this.getBooleanParameterValue(key);
 				}
-				// FIXME: test to automate other type creation as Property => problem here is
-				// that org.txm.core doesn't know the plug-in org.txm.searchengine.cqp.core
-				// could be done using reflection. Get the field runtime class, then get and
-				// call the constructor
-				// else if (f.getType().isAssignableFrom(Property.class)) {
-				// value = new Property(this.getStringParameterValue(key),
-				// Corpus.getCorpus(this));
-				// }
-				// MD: nope should be done via adapter or extension point
-				// "org.txm.searchengine.cqp.core" contributes to
-				// SJ: or better, when the abstraction of Property, etc. will be done, we could
-				// implement some extensions as in ChartCreator model to other engines, eg.
-				// SearchEngine, that will return
+				// FIXME: test to automate other type creation as Property => problem here is that org.txm.core doesn't know the plug-in org.txm.searchengine.cqp.core
+				// could be done using reflection. Get the field runtime class, then get and call the constructor
+				//				else if (f.getType().isAssignableFrom(Property.class)) {
+				//					value = new Property(this.getStringParameterValue(key), Corpus.getCorpus(this));
+				//				}
+				// MD: nope should be done via adapter or extension point "org.txm.searchengine.cqp.core" contributes to
+				// SJ: or better, when the abstraction of Property, etc. will be done, we could implement some extensions as in ChartCreator model to other engines, eg. SearchEngine, that will return
 				// the right class here
 				f.set(this, value);
 
@@ -1138,11 +1105,9 @@
 	}
 
 	/**
-	 * Method dedicated to manually create and load non primitive parameters from
-	 * strings stored in preference nodes in subclasses. This method is called by
-	 * the constructor of the class TXMResult. The constructor also auto-loads the
-	 * parameters that have a @Parameter annotation.
-	 * 
+	 * Method dedicated to manually create and load non primitive parameters from strings stored in preference nodes in subclasses.
+	 * This method is called by the constructor of the class TXMResult.
+	 * The constructor also auto-loads the parameters that have a @Parameter annotation.
 	 * @return
 	 * @throws Exception
 	 */
@@ -1161,7 +1126,7 @@
 	 * 
 	 * @param parameters
 	 * @return
-	 * @throws Exception
+	 * @throws Exception 
 	 */
 	public final boolean setParameters(HashMap<String, Object> parameters) throws Exception {
 		return setParameters(new TXMParameters(parameters));
@@ -1169,28 +1134,25 @@
 
 	/**
 	 * Sets a parameters from its parameter annotation "key".
-	 * 
 	 * @param key
 	 * @param value
 	 * @return
 	 * @throws Exception
 	 */
-	public boolean setParameter(String key, Object value) throws Exception {
+	public boolean setParameter(String key, Object value) throws Exception	{
 		return setParameter(key, value, false);
 	}
 
 	/**
 	 * Sets a parameters from its parameter annotation "key".
-	 * 
 	 * @param key
 	 * @param value
-	 * @param propagateToParent
-	 *            propagate the key=value to parent if the result has no field=key
+	 * @param propagateToParent propagate the key=value to parent if the result has no field=key
 	 * 
 	 * @return
 	 * @throws Exception
 	 */
-	public boolean setParameter(String key, Object value, boolean propagateToParent) throws Exception {
+	public boolean setParameter(String key, Object value, boolean propagateToParent) throws Exception	{
 
 		List<Field> fields = this.getAllFields();
 
@@ -1201,23 +1163,23 @@
 			if (parameter == null) {
 				continue;
 			}
-			if (!parameter.key().isEmpty() && parameter.key().equals(key)) {
+			if(!parameter.key().isEmpty() && parameter.key().equals(key))	{
 				targetField = f;
 				break;
 			}
 		}
 
-		if (targetField != null) {
+		if (targetField != null)	{
 			targetField.setAccessible(true);
 
 			// FIXME: debug
-			// if(value != null) {
-			// Log.info("TXMResult.setParameter(): setting parameter " + key + " = " + value
-			// + " for " + this.getClass() + " (" + value.getClass() + ")");
-			// }
+			//if(value != null)	{
+			//	Log.info("TXMResult.setParameter(): setting parameter " + key + " = " + value + " for " + this.getClass() + " (" + value.getClass() + ")");
+			//}
 
 			targetField.set(this, value);
-		} else if (this.parent != null && propagateToParent) {
+		}
+		else if (this.parent != null && propagateToParent) {
 			this.parent.setParameter(key, value, propagateToParent);
 		}
 
@@ -1225,9 +1187,7 @@
 	}
 
 	/**
-	 * Deletes the object from its parent, also deletes the children. The
-	 * <code>TXMResult.clean()</code> methods of this result and children results
-	 * are applied before the deletion.
+	 * Deletes the object from its parent, also deletes the children. The <code>TXMResult.clean()</code> methods of this result and children results are applied before the deletion.
 	 * 
 	 * @return
 	 */
@@ -1243,13 +1203,13 @@
 			while (this.children.size() > 0) {
 				TXMResult c = this.children.get(0);
 				c.delete(); // should call parent.removeResult(child)
-				// TXMPreferences.delete(this.children.get(i));
-				// this.removeChild(i);
+				//				TXMPreferences.delete(this.children.get(i));
+				//				this.removeChild(i);
 				this.children.remove(c); // but should be done already...
 			}
 			this.children.clear();
 
-			// THEN FINISH WITH THIS
+			//THEN FINISH WITH THIS
 			// delete the local node
 			TXMPreferences.delete(this);
 
@@ -1257,18 +1217,16 @@
 			this.clean();
 
 			if (this.parent != null) {
-
-				TXMResult parent = this.parent;
-
+				
+				TXMResult parent = this.parent; 
+				
 				this.parent.removeChild(this);
-
-				// FIXME: to delete the hidden parent when using shortcut command (eg.
-				// Specificities on Partition that hides the parent LexicalTable)
+				
+				// FIXME: to delete the hidden parent when using shortcut command (eg. Specificities on Partition that hides the parent LexicalTable)
 				// need to prove this method
-				if (!parent.isVisible() && !(parent instanceof Project) // FIXME: actually removing this test and modify DeleteObject.java method public
-																		// static List<Object> delete(Object o) by removing the MainCorpus test should
-																		// work
-				) {
+				if(!parent.isVisible() &&
+						!(parent instanceof Project) // FIXME: actually removing this test and modify DeleteObject.java method public static List<Object> delete(Object o) by removing the MainCorpus test should work
+						)	{
 					parent.delete();
 				}
 
@@ -1286,52 +1244,54 @@
 	 * Deletes all non persistent results and saves the results to persist.
 	 */
 	public static void deleteAllNonPersistentResults() {
-		// File logs = new File(System.getProperty("user.home"), "logs.txt");
-		// PrintWriter w = null;
+//		File logs = new File(System.getProperty("user.home"), "logs.txt");
+//		PrintWriter w = null;
 		try {
-			// w = IOUtils.getWriter(logs);
+//			w = IOUtils.getWriter(logs);
 			List<TXMResult> todo = Toolbox.workspace.getChildren();
 			while (todo.size() > 0) {
 				TXMResult r = null;
-				// try {
-				r = todo.remove(0);
-				todo.addAll(0, r.getChildren());
-				// w.println("Persisting? "+r);
-				if (r.mustBePersisted()) {
-					// w.println(" YES");
-					TXMPreferences.flush(r);
-				} else {
-					// w.println(" NO");
-					Log.finest("TXMResult.deleteAllNonPersistentResults(): Deleting result " + r.getSimpleName() + " of type " + r.getClass().getSimpleName() + ".");
-					TXMPreferences.delete(r);
-				}
-				// } catch (Exception e) {
-				// w.println(" Error: "+e+" with "+r);
-				// }
-				// w.println(" OK: "+r);
+//				try {
+					r = todo.remove(0);
+					todo.addAll(0, r.getChildren());
+//					w.println("Persisting? "+r);
+					if (r.mustBePersisted())	{ 
+//						w.println(" YES");
+						TXMPreferences.flush(r);
+					}
+					else {
+//						w.println(" NO");
+						Log.finest("TXMResult.deleteAllNonPersistentResults(): Deleting result " + r.getSimpleName() + " of type " + r.getClass().getSimpleName() + ".");
+						TXMPreferences.delete(r);
+					}
+//				} catch (Exception e) {
+//					w.println(" Error: "+e+" with "+r);
+//				}
+//				w.println(" OK: "+r);
 			}
 		} finally {
-			// if (w != null) w.close();
+//			if (w != null) w.close();
 		}
 	}
 
+
 	/**
 	 * Gets a child specified by its index in the children list.
-	 * 
 	 * @param index
 	 * @return the child specified by its index if exists otherwise null
 	 */
 	public TXMResult getChild(int index) {
 		try {
 			return this.children.get(index);
-		} catch (Exception e) {
+		}
+		catch (Exception e) {
 			return null;
 		}
 	}
 
 	/**
-	 * Adds a child result to this result. If the child already have a parent, the
-	 * child will be remove from its old parent children.
+	 * Adds a child result to this result.
+	 * If the child already have a parent, the child will be remove from its old parent children.
 	 * 
 	 * @param child
 	 * @return true if the child has been added
@@ -1339,10 +1299,10 @@
 	private boolean addChild(TXMResult child) {
 		try {
 			// do nothing if the parent is already this result
-			// if(child.getParent() == this) {
-			// return true;
-			// }
-			// else {
+			//			if(child.getParent() == this)	{
+			//				return true;
+			//			}
+			//			else	{
 			// remove from current parent if exists
 			child.removeFromParent();
 
@@ -1353,7 +1313,7 @@
 				// child + " to parent " + this);
 				return this.children.add(child);
 			}
-			// }
+			//			}
 		} catch (Exception e) {
 			// nothing to do
 		}
@@ -1361,8 +1321,7 @@
 	}
 
 	/**
-	 * Inserts a child result in this result children list at the specified
-	 * position.
+	 * Inserts a child result in this result children list at the specified position.
 	 * 
 	 * @param index
 	 * @param child
@@ -1467,7 +1426,6 @@
 
 	/**
 	 * Gets the first child result specified by its class.
-	 * 
 	 * @param type
 	 * @return the first child if exists otherwise null
 	 */
@@ -1475,14 +1433,14 @@
 		List<TXMResult> children = this.getChildren(type, false);
 		try {
 			return children.get(0);
-		} catch (Exception e) {
+		}
+		catch (Exception e) {
 			return null;
 		}
 	}
 
 	/**
 	 * Deletes the children of the specified class.
-	 * 
 	 * @param type
 	 * @return
 	 */
@@ -1493,20 +1451,22 @@
 		}
 	}
 
+
 	/**
 	 * Gets the first child.
-	 * 
 	 * @param classSimpleName
 	 * @return
 	 */
 	public TXMResult getFirstChild() {
 		try {
 			return this.children.get(0);
-		} catch (Exception e) {
 		}
+		catch (Exception e) {
+		}
 		return null;
 	}
 
+
 	/**
 	 * Gets the children of all the branch of the specified node in a flat list.
 	 * 
@@ -1531,7 +1491,7 @@
 	public List<TXMResult> getDeepChildren(Class<? extends TXMResult> clazz) {
 		return TXMResult.getDeepChildren(this, clazz);
 	}
-
+	
 	/**
 	 * Gets the children of all the branch in a flat list.
 	 * 
@@ -1540,7 +1500,7 @@
 	public static List<TXMResult> getDeepChildren(TXMResult r) {
 		return TXMResult.getDeepChildren(r, null);
 	}
-
+	
 	/**
 	 * Gets the children of all the branch in a flat list.
 	 * 
@@ -1551,21 +1511,20 @@
 	}
 
 	/**
-	 * Gets the TXMResult specified by its UUID in the children of the specified
-	 * root result.
-	 * 
+	 * Gets the TXMResult specified by its UUID in the children of the specified root result.
 	 * @param branchRoot
 	 * @param UUID
 	 * @return
 	 */
-	public static TXMResult getResult(TXMResult root, String nodePath) {
+	public static TXMResult getResult(TXMResult root, String nodePath)	{
 		TXMResult result = null;
-		if (root.getParametersNodePath().equals(nodePath)) {
+		if(root.getParametersNodePath().equals(nodePath))	{
 			result = root;
-		} else {
+		}
+		else	{
 			List<TXMResult> results = root.getDeepChildren();
 			for (int i = 0; i < results.size(); i++) {
-				if (results.get(i).getParametersNodePath().equals(nodePath)) {
+				if(results.get(i).getParametersNodePath().equals(nodePath))	{
 					result = results.get(i);
 					break;
 				}
@@ -1575,13 +1534,11 @@
 	}
 
 	/**
-	 * Gets the TXMResult specified by its UUID in the children of the Toolbox
-	 * Workspace member.
-	 * 
+	 * Gets the TXMResult specified by its UUID in the children of the Toolbox Workspace member.
 	 * @param UUID
 	 * @return
 	 */
-	public static TXMResult getResult(String nodePath) {
+	public static TXMResult getResult(String nodePath)	{
 		return getResult(Toolbox.workspace, nodePath);
 	}
 
@@ -1595,12 +1552,14 @@
 		List<TXMResult> nodes = new ArrayList<TXMResult>();
 		for (TXMResult child : srcNodes) {
 			try {
-				if ((type == null || child.getClass().asSubclass(type) != null) && (onlyVisible == false || child.isVisible())) {
+				if ((type == null || 
+						child.getClass().asSubclass(type) != null) 
+						&& (onlyVisible == false || child.isVisible())) {
 					nodes.add(child);
 				}
 
 				// add children of a non visible result
-				else if (!child.isVisible() && child.hasChildren()) {
+				else if (!child.isVisible() && child.hasChildren())	{
 					List<TXMResult> subChidlren = child.getChildren(type, onlyVisible);
 					nodes.addAll(subChidlren);
 				}
@@ -1613,16 +1572,15 @@
 
 	/**
 	 * Gets the direct children count.
-	 * 
 	 * @return the direct children count
 	 */
 	public int getChildrenCount() {
 		return this.children.size();
 	}
 
+
 	/**
 	 * Gets the root parent of the branch.
-	 * 
 	 * @return
 	 */
 	public TXMResult getRootParent() {
@@ -1636,10 +1594,9 @@
 		return root;
 	}
 
+
 	/**
-	 * Gets the first parent of the specified class, eg.
-	 * this.getFirstParent(Partition.class);
-	 * 
+	 * Gets the first parent of the specified class, eg. this.getFirstParent(Partition.class);
 	 * @param type
 	 * @return
 	 */
@@ -1647,9 +1604,9 @@
 		TXMResult node = null;
 		TXMResult parent = this.parent;
 		do {
-			if (parent != null) {
-				if (parent.getClass().equals(type)) {
-					node = parent;
+			if(parent != null)	{
+				if(parent.getClass().equals(type)) {
+					node = parent;	
 				}
 
 				parent = parent.getParent();
@@ -1659,39 +1616,47 @@
 		return node;
 	}
 
-	// /**
-	// * Gets the first parent of the specified class, eg.
-	// this.getFirstParent(Partition.class);
-	// * Returns the object itself if it is of the specified class.
-	// * @param type
-	// * @return null if the TXMResult is not attached to a BinaryCorpus
-	// */
-	// public Project getCorpusProject() {
-	// Object o = getFirstParent(Project.class);
-	// if (o != null) {
-	// return (Project)o;
-	// } else {
-	// return null;
-	// }
-	// }
-	//
-	// /**
-	// * Gets the first parent of the specified class, eg.
-	// this.getFirstParent(Partition.class);
-	// * Returns the object itself if it is of the specified class.
-	// * @param type
-	// * @return null if the TXMResult is not attached to a BinaryCorpus
-	// */
-	// public CorpusBuild getCorpusBuild() {
-	// Object o = getFirstParent(CorpusBuild.class);
-	// if (o != null) {
-	// return (CorpusBuild)o;
-	// } else {
-	// return null;
-	// }
-	// }
 
 	/**
+	 * Checks if the specified result is a child.
+	 * @return
+	 */
+	public boolean isChild(TXMResult child) {
+		return this.getDeepChildren().contains(child);
+	}
+	
+
+	//	/**
+	//	 * Gets the first parent of the specified class, eg. this.getFirstParent(Partition.class);
+	//	 * Returns the object itself if it is of the specified class.
+	//	 * @param type
+	//	 * @return null if the TXMResult is not attached to a BinaryCorpus
+	//	 */
+	//	public Project getCorpusProject() {
+	//		Object o = getFirstParent(Project.class);
+	//		if (o != null) {
+	//			return (Project)o;
+	//		} else {
+	//			return null;
+	//		}
+	//	}
+	//	
+	//	/**
+	//	 * Gets the first parent of the specified class, eg. this.getFirstParent(Partition.class);
+	//	 * Returns the object itself if it is of the specified class.
+	//	 * @param type
+	//	 * @return null if the TXMResult is not attached to a BinaryCorpus
+	//	 */
+	//	public CorpusBuild getCorpusBuild() {
+	//		Object o = getFirstParent(CorpusBuild.class);
+	//		if (o != null) {
+	//			return (CorpusBuild)o;
+	//		} else {
+	//			return null;
+	//		}
+	//	}
+
+	/**
 	 * Gets the sibling nodes of this node result.
 	 */
 	public List<TXMResult> getSiblings() {
@@ -1723,13 +1688,14 @@
 	public boolean isVisible() {
 		return this.visible;
 	}
-
+	
 	public boolean isParentVisible() {
 		return parent != null && (parent.isVisible() || parent.isInternalPersistable());
 	}
 
 	/**
-	 * Sets the result visibility state. Dedicated to UI purposes.
+	 * Sets the result visibility state.
+	 * Dedicated to UI purposes.
 	 * 
 	 * @param visible
 	 * @return
@@ -1764,59 +1730,58 @@
 	public abstract String getName();
 
 	/**
-	 * Gets the simple name of the result. Dedicated to be displayed in a small UI
-	 * area.
+	 * Gets the simple name of the result.
+	 * Dedicated to be displayed in a small UI area.
 	 * 
 	 * @return
 	 */
 	public abstract String getSimpleName();
 
 	/**
-	 * Gets some details about how the result has been computed (eg. additional
-	 * parameters, etc.). Dedicated to be displayed in a large UI area.
+	 * Gets some details about how the result has been computed (eg. additional parameters, etc.).
+	 * Dedicated to be displayed in a large UI area.
 	 * 
 	 * @return
 	 */
 	public abstract String getDetails();
 
 	/**
-	 * Gets the user name if exists otherwise, the lazy name if exists, otherwise
-	 * the simple name.
+	 * Gets the user name if exists otherwise, the lazy name if exists, otherwise the simple name.
 	 * 
 	 * @return the current name
 	 */
 	public String getCurrentName() {
 		if (!this.userName.isEmpty()) {
 			return this.userName;
-		} else if (this.lazyName != null && !this.lazyName.isEmpty()) {
+		}
+		else if (this.lazyName != null && !this.lazyName.isEmpty()) {
 			return this.lazyName;
-		} else {
+		}
+		else {
 			return this.getSimpleName();
 		}
 	}
 
+
 	/**
-	 * Convenience method to get a shared name when the result is empty (not yet
-	 * computed).
-	 * 
+	 * Convenience method to get a shared name when the result is empty (not yet computed).
 	 * @return the string "..."
 	 */
-	public String getEmptyName() {
+	public String getEmptyName()	{
 		return "..."; //$NON-NLS-1$
 	}
 
-	// /**
-	// * Returns a string representation of an unique ID for the result.
-	// *
-	// * @return
-	// */
-	// public String getUUID() {
-	// return this.uniqueID;
-	// }
+//	/**
+//	 * Returns a string representation of an unique ID for the result.
+//	 * 
+//	 * @return
+//	 */
+//	public String getUUID() {
+//		return this.uniqueID;
+//	}
 
 	/**
-	 * Gets a string representing the result that can be used as a file name (eg.
-	 * for exporting in file).
+	 * Gets a string representing the result that can be used as a file name (eg. for exporting in file).
 	 * 
 	 * @return a valid filename without unexpected characters
 	 */
@@ -1831,8 +1796,7 @@
 	}
 
 	/**
-	 * Gets a string representing the concatenation of the simple names of the
-	 * branch of this result.
+	 * Gets a string representing the concatenation of the simple names of the branch of this result.
 	 * 
 	 * @return the full path
 	 */
@@ -1877,30 +1841,27 @@
 	public TXMResult clone() {
 		return clone(null, true);
 	}
-
+	
 	public TXMResult clone(boolean all) {
 		return clone(null, all);
 	}
-
 	/**
 	 * recursive method to clone a result
-	 * 
-	 * @param newParent
-	 *            necessary for cloning children in the right clone parent
+	 * @param newParent necessary for cloning children in the right clone parent
 	 * @param all
 	 * @return
 	 */
 	protected TXMResult clone(TXMResult newParent, boolean all) {
 		TXMResult clone = null;
 		try {
-			String newNodePath = this.getProject().getParametersNodeRootPath() + createUUID() + "_" + this.getClass().getSimpleName();
+			String newNodePath = this.getProject().getParametersNodeRootPath()+ createUUID() + "_" + this.getClass().getSimpleName();
 			TXMPreferences.cloneNode(this.getParametersNodePath(), newNodePath);
-
+			
 			if (newParent != null) { // change the cloned node parent preference
 				TXMPreferences.put(newNodePath, TXMPreferences.PARENT_PARAMETERS_NODE_PATH, newParent.getParametersNodePath());
 			}
-			clone = this.getClass().getDeclaredConstructor(String.class).newInstance(newNodePath);
-
+			clone =  this.getClass().getDeclaredConstructor(String.class).newInstance(newNodePath);
+			
 			if (all) {
 				for (TXMResult child : this.children) {
 					child.clone(clone, all);
@@ -1921,8 +1882,7 @@
 	 * @return true if no parameter read occured
 	 * @throws CqiClientException
 	 */
-	// public abstract boolean setParameters(TXMParameters parameters) throws
-	// Exception;
+	//public abstract boolean setParameters(TXMParameters parameters) throws Exception;
 
 	// this.parameters = parameters;
 	// if (this.parameters == null) {
@@ -1972,6 +1932,7 @@
 		}
 	}
 
+
 	/**
 	 * 
 	 * @return
@@ -1981,6 +1942,7 @@
 		return this.compute(new LogMonitor("Computing " + this));
 	}
 
+
 	/**
 	 * 
 	 * @param monitor
@@ -1991,9 +1953,12 @@
 		return this.compute(monitor, true);
 	}
 
+
 	/**
-	 * Computes the result if it can be computed it is dirty the TXMResult
-	 * constructor has been called
+	 * Computes the result if 
+	 * it can be computed 
+	 * it is dirty 
+	 * the TXMResult constructor has been called
 	 * 
 	 * @param watcher
 	 * 
@@ -2007,24 +1972,20 @@
 	protected boolean compute(IProgressMonitor monitor, boolean deepComputing) {
 
 		// no changes to do
-		// FIXME: SJ: we need to do do some actions even if the object is frozen, eg.
-		// updating parameters, saving parameters, etc.
-		// FIXME MD: nope the parameters must not move and will be saved in the current
-		// state
+		// FIXME: SJ: we need to do do some actions even if the object is frozen, eg. updating parameters, saving parameters, etc.
+		// FIXME MD: nope the parameters must not move and will be saved in the current state
 		if (hasBeenComputedOnce && frozen) {
 			return true;
 		}
-
+		
+		
 		try {
 
 			Log.finest("*** TXMResult.compute(): " + this.getClass().getSimpleName() + ": starting computing process...");
 
-			// FIXME: see if this skipComputing tests is still useful? is it possible to
-			// directly return instead?
-			// en fait voir ChartResult.compute() if(super.compute(monitor, true, false)),
-			// je pense que le prob vient du fait que si on retourne false dans
-			// TXMResult.compute() alors renderChart() ne sera pas appelé
-			// il faudrait retourner un état: skipped, computed, error, etc.
+			// FIXME: see if this skipComputing tests is still useful? is it possible to directly return instead?
+			// en fait voir ChartResult.compute() if(super.compute(monitor, true, false)), je pense que le prob vient du fait que si on retourne false dans TXMResult.compute() alors renderChart() ne sera pas appelé
+			// il faudrait retourner un état: skipped, computed, error, etc. 
 			boolean skipComputing = false;
 
 			this.monitor = monitor;
@@ -2049,7 +2010,7 @@
 				skipComputing = true;
 			}
 
-			if (!skipComputing) {
+			if(!skipComputing)	{
 
 				// Debug
 				Log.finest("+++ TXMResult.compute(): " + this.getClass().getSimpleName() + ": computing result of type " + this.getClass() + "...");
@@ -2067,18 +2028,19 @@
 				}
 			}
 
-			// clear the lazy name, no more needed since the object has been computed and
-			// getSimpleName() can now work
+			// clear the lazy name, no more needed since the object has been computed and getSimpleName() can now work
 			this.lazyName = null;
 
 			// store last used parameters
 			this.updateLastParameters();
 
-			if (!skipComputing) {
 
+			if(!skipComputing)	{
+
 				// store last used parameters
-				// this.updateLastParameters();
+//				this.updateLastParameters();
 
+				
 				if (!this.autoSaveParametersFromAnnotations()) {
 					Log.severe("TXMResult.compute(): " + this.getClass().getSimpleName() + ": failed to save parameters from annotations for " + this.getName() + ".");
 				}
@@ -2093,12 +2055,6 @@
 
 				this.dirty = false; // the computing was successful, the result is no more dirty
 				this.hasBeenComputedOnce = true;
-				
-//				for (TXMResultListener l : listeners) {
-//					if (!l.isDisposed())
-//						l.updateFromResult(true);
-//				}
-				
 				if (altered) {
 					System.out.println(NLS.bind("Warning {0} modifications have been lost.", this.getSimpleName()));
 				}
@@ -2119,17 +2075,17 @@
 						this.children.get(i).compute(monitor, deepComputing);
 					}
 
-					// FIXME: SJ: this code generates concurrent modification exceptions when deep
-					// computing
+					// FIXME: SJ: this code generates concurrent modification exceptions when deep computing
 					// here for tests purpose, the code above does not generates exceptions
-					// for (TXMResult child : this.getChildren()) {
-					// // recompute only children that has been opened once
-					// child.compute(monitor, deepComputing);
-					// }
+					//				for (TXMResult child : this.getChildren()) {
+					//					// recompute only children that has been opened once
+					//					child.compute(monitor, deepComputing);
+					//				}
 
 				}
 			}
-		} catch (Exception e) {
+		}
+		catch (Exception e) {
 			// TODO Auto-generated catch block
 			e.printStackTrace();
 			Log.severe(TXMCoreMessages.bind("TXMResult.compute(): Exception occurs during computing: {0}.", e));
@@ -2146,31 +2102,22 @@
 	 * @throws Exception
 	 */
 	protected abstract boolean _compute() throws Exception;
-//
-//	public void addResultListener(TXMResultListener listener) {
-//		listeners.add(listener);
-//	}
-//
-//	public void removeResultListener(TXMResultListener listener) {
-//		listeners.remove(listener);
-//	}
 
+
 	/***
-	 * Checks if the result must be persisted according to the persistence global
-	 * preference or the user persistable state.
-	 * 
+	 * Checks if the result must be persisted according to the persistence global preference or the user persistable state.
 	 * @return
 	 */
-	// public boolean mustBePersisted() {
-	// if (this.internalPersistable
-	// || this.userPersistable) {
-	// return true;
-	// }
-	// return false;
-	// }
+	//	public boolean mustBePersisted()	{
+	//		if (this.internalPersistable
+	//				|| this.userPersistable)	{
+	//			return true;
+	//		}
+	//		return false;
+	//	}
 
 	// FIXME: need to prove this code
-	public boolean mustBePersisted() {
+	public boolean mustBePersisted()	{
 		return this.internalPersistable || this.userPersistable;
 	}
 
@@ -2186,7 +2133,6 @@
 
 	/**
 	 * Checks if the monitor is canceled.
-	 * 
 	 * @return true if the monitor has been canceled by the user
 	 */
 	public boolean isCanceled() {
@@ -2234,11 +2180,13 @@
 	// FIXME: should be moved in an exporter extension
 	public abstract boolean toTxt(File outfile, String encoding, String colseparator, String txtseparator) throws Exception;
 
+
+
+
 	/**
 	 * Increments the progress of the specified amount of work.
 	 * 
-	 * @param amount
-	 *            of work
+	 * @param amount of work
 	 */
 	public void worked(int amount) {
 		if (monitor != null) {
@@ -2248,8 +2196,7 @@
 	}
 
 	/**
-	 * Increments the progress of the specified amount of work and displays a
-	 * message.
+	 * Increments the progress of the specified amount of work and displays a message.
 	 * 
 	 * @param amount
 	 * @param message
@@ -2310,7 +2257,6 @@
 
 	/**
 	 * Gets the user defined name.
-	 * 
 	 * @return the user name
 	 */
 	public String getUserName() {
